@charset "utf-8";

/*==================================================
 背景色が四角に拡大（四隅へ）
===================================*/

/*========= ローディング画面のためのCSS ===============*/
#splash {
  position: fixed;
  z-index: 9999999;

  width: 100%;
  height: 100%;

  text-align: center;

  color: #333;
  background: #ffec04;
}

#splash-logo {
  position: absolute;
  top: 50%;
  left: 50%;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

#splash-logo img,
#splash-logo canvas {
  width: 50px;
}

/*画面遷移アニメーション*/

.splashbg {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  border-width: 0; /*開始はボーダーの太さは0*/
  border-style: solid;
  border-color: #ffec04; /*拡大する四角の色*/

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes backBoxAnime {
  99.9% {
    /*アニメーション終了ぎりぎりまで*/
    z-index: 2; /*最前面に*/

    border-width: 0; /*開始はボーダーの太さは0*/
  }
  100% {
    z-index: -1; /*最背面に*/

    border-width: 0; /*終了はボーダーの太さは0*/
  }
}

@keyframes backBoxAnime {
  99.9% {
    /*アニメーション終了ぎりぎりまで*/
    z-index: 2; /*最前面に*/

    border-width: 0; /*開始はボーダーの太さは0*/
  }
  100% {
    z-index: -1; /*最背面に*/

    border-width: 0; /*終了はボーダーの太さは0*/
  }
}

/*画面遷移の後現れるコンテンツ設定*/
#container {
  position: relative;

  opacity: 0; /*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #container {
  -webkit-animation-name: PageAnimeAppear;
  animation-name: PageAnimeAppear;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/*==================================================
 クリックしたら円形背景が拡大（上から）
===================================*/

/*アクティブになったエリア*/
#g-nav.panelactive {
  /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
  position: fixed;
  z-index: 999;
  top: 0;

  width: 100%;
  height: 100vh;
}

/*丸の拡大*/
.circle-bg {
  position: fixed;
  z-index: 3;
  top: -50px;
  left: calc(50% - 50px); /*50%から円の半径を引いた値*/
  /*丸の形*/

  width: 100px;
  height: 100px;

  -webkit-transition: all 0.6s;
  -o-transition: all 0.6s;
  transition: all 0.6s; /*0.6秒かけてアニメーション*/
  /*丸のスタート位置と形状*/
  -webkit-transform: scale(0);
  -ms-transform: scale(0);
  transform: scale(0); /*scaleをはじめは0に*/

  border-radius: 50%;
  background: #ffec04;
}

.circle-bg.circleactive {
  -webkit-transform: scale(50);
  -ms-transform: scale(50);
  transform: scale(50); /*クラスが付与されたらscaleを拡大*/
}

/*ナビゲーションの縦スクロール*/
#g-nav-list {
  /*ナビの数が増えた場合縦スクロール*/
  position: fixed;
  z-index: 999;

  display: none; /*はじめは表示なし*/
  overflow: auto;

  width: 100%;
  height: 100vh;

  -webkit-overflow-scrolling: touch;
}

#g-nav.panelactive #g-nav-list {
  display: block; /*クラスが付与されたら出現*/
}

/*ナビゲーション*/
#g-nav ul {
  /*ナビゲーション天地中央揃え※レイアウトによって調整してください。不必要なら削除*/
  position: absolute;
  z-index: 999;
  top: 50%;
  left: 50%;

  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);

  opacity: 0; /*はじめは透過0*/
}

/*背景が出現後にナビゲーションを表示*/
#g-nav.panelactive ul {
  opacity: 1;
}

/* 背景が出現後にナビゲーション li を表示※レイアウトによって調整してください。不必要なら削除*/
#g-nav.panelactive ul li {
  -webkit-animation-name: gnaviAnime;
  animation-name: gnaviAnime;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s; /*0.2 秒遅らせて出現*/

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}
@-webkit-keyframes gnaviAnime {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes gnaviAnime {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/*リストのレイアウト設定*/
#g-nav li {
  list-style: none;

  text-align: center;
}

#g-nav li a {
  font-weight: bold;

  display: block;

  padding: 10px;

  text-decoration: none;
  letter-spacing: 0.1em;
  text-transform: uppercase;

  color: #333;
}

/*==================================================
 3本線がジャンプして×に
===================================*/
/*ボタン外側*/
.openbtn {
  position: fixed;
  z-index: 9999; /*ボタンを最前面に*/
  top: 10px;
  right: 10px;

  overflow: hidden; /*ジャンプしてはみ出た要素を消す*/

  width: 50px;
  height: 50px;

  cursor: pointer;

  border-radius: 5px;
  /*background:#2e98e5;*/
  background: #09b53b;
}

/*ボタン内側*/

.openbtn .openbtn-area {
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  transition: all 0.4s; /*アニメーションの設定*/
}

.openbtn span {
  position: absolute;
  left: 14px;

  display: inline-block;

  width: 45%;
  height: 3px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  transition: all 0.4s; /*アニメーションの設定*/

  border-radius: 2px;
  background: #fff;
}

.openbtn span:nth-of-type(1) {
  top: 15px;
}

.openbtn span:nth-of-type(2) {
  top: 23px;
}

.openbtn span:nth-of-type(3) {
  top: 31px;
}

/*activeクラスが付与されると .openbtn-areaが360度回転し、
その中の線のtopの位置や形状が変化して×に*/

.openbtn.active .openbtn-area {
  -webkit-transform: rotateX(360deg);
  transform: rotateX(360deg);
}

.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;

  width: 30%;

  -webkit-transform: translateY(6px) rotate(-135deg);
  -ms-transform: translateY(6px) rotate(-135deg);
  transform: translateY(6px) rotate(-135deg);
}

.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;

  width: 30%;

  -webkit-transform: translateY(-6px) rotate(135deg);
  -ms-transform: translateY(-6px) rotate(135deg);
  transform: translateY(-6px) rotate(135deg);
}

/*==================================================
 矢印が右に移動して現在地に戻る
===================================*/

/* ボタン共通設定 */
.btn06 {
  /*矢印の基点とするためrelativeを指定*/
  position: relative;

  display: inline-block;

  width: 230px;
  padding: 10px;
  /*アニメーションの指定*/

  -webkit-transition: ease 0.2s;
  -o-transition: ease 0.2s;
  transition: ease 0.2s;
  text-align: center;
  /*ボタンの形状*/
  text-decoration: none;

  color: #333;
  border-radius: 25px;
  outline: none;
  background: #ffec04;
}

.btnarrow2::after {
  /*絶対配置で矢印の位置を決める*/
  position: absolute;
  top: 1.2em;
  right: 25px;
  /*矢印の形状*/

  width: 10px;
  height: 10px;

  content: "";
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);

  border-top: 2px solid #333;
  border-right: 2px solid #333;
}

/*hoverした際のアニメーション*/
.btnarrow2:hover::after {
  -webkit-animation: arrow 0.5s;
  animation: arrow 0.5s;
}

@-webkit-keyframes arrow {
  50% {
    right: 20px;
  }
  100% {
    right: 25px;
  }
}

@keyframes arrow {
  50% {
    right: 20px;
  }
  100% {
    right: 25px;
  }
}

/*==================================================
 右下に押し込まれる（立体が平面に）
===================================*/
/* ボタン共通設定 */
.btn03 {
  /*影の基点とするためrelativeを指定*/
  position: relative;

  display: inline-block;
  /*アニメーションの指定*/

  -webkit-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
  text-align: center;
  /*ボタンの形状*/
  text-decoration: none;

  border: solid 1px #333;
  border-radius: 25px;
  outline: none;
  background: transparent;
}

/*hoverをした後のボタンの形状*/
.btn03:hover {
  border-color: transparent;
}

/*ボタンの中のテキスト*/
.btn03 span {
  position: relative;
  z-index: 2; /*z-indexの数値をあげて文字を背景よりも手前に表示*/
  /*テキストの形状*/

  display: block;

  padding: 10px 30px;
  /*アニメーションの指定*/

  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;

  color: #333;
  border-radius: 25px;
  background: #f0f0f0;
}

/*影の設定*/
.pushright:before {
  /*絶対配置で影の位置を決める*/
  position: absolute;
  z-index: -1;
  top: 4px;
  left: 4px;
  /*影の形状*/

  width: 100%;
  height: 100%;

  content: "";

  border-radius: 25px;
  background-color: #333;
}

/*hoverの際にX・Y軸に4pxずらす*/
.pushright:hover span {
  -webkit-transform: translate(4px, 4px);
  -ms-transform: translate(4px, 4px);
  transform: translate(4px, 4px);

  color: #fff;
  background-color: #333;
}

/*==================================================
 リンクボタンをクリックしたら形状が変化
===================================*/

/*リンクを右下に固定*/
#page-top {
  position: fixed;
  z-index: 2;
  right: 10px;
  bottom: 40px;

  -webkit-transform: translateY(150px);
  -ms-transform: translateY(150px);
  transform: translateY(150px);
  /*はじめは非表示*/

  opacity: 0;
}

/*　上に上がる動き　*/
#page-top.UpMove {
  -webkit-animation: UpAnime 0.5s forwards;
  animation: UpAnime 0.5s forwards;
}

@-webkit-keyframes UpAnime {
  from {
    -webkit-transform: translateY(150px);
    transform: translateY(150px);

    opacity: 0;
  }
  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

@keyframes UpAnime {
  from {
    -webkit-transform: translateY(150px);
    transform: translateY(150px);

    opacity: 0;
  }
  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

/*　下に下がる動き　*/
#page-top.DownMove {
  -webkit-animation: DownAnime 0.5s forwards;
  animation: DownAnime 0.5s forwards;
}

@-webkit-keyframes DownAnime {
  from {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
  to {
    -webkit-transform: translateY(150px);
    transform: translateY(150px);

    opacity: 1;
  }
}

@keyframes DownAnime {
  from {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
  to {
    -webkit-transform: translateY(150px);
    transform: translateY(150px);

    opacity: 1;
  }
}

/*画像の切り替えと動き*/
#page-top a {
  font-size: 0.6rem;
  /*aタグの形状*/

  display: block;

  width: 80px;
  height: 80px;

  text-align: center;
  text-decoration: none;
  text-transform: uppercase;

  color: #333;
  /*背景画像の指定*/
  background: url("../img/rocket_base.svg") no-repeat center;
  background-size: contain;
}

#page-top.floatAnime a {
  width: 80px;
  height: 80px;
  /*アニメーションの指定*/

  -webkit-animation: floatAnime 2s linear infinite;
  animation: floatAnime 2s linear infinite;

  opacity: 0;
  /*背景画像の指定*/
  background: url("../img/rocket.svg") no-repeat center;
  background-size: contain;
}

@-webkit-keyframes floatAnime {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);

    opacity: 0;
  }
  25% {
    -webkit-transform: translateX(-6px);
    transform: translateX(-6px);

    opacity: 1;
  }
  50% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(6px);
    transform: translateX(6px);

    opacity: 1;
  }
}

@keyframes floatAnime {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);

    opacity: 0;
  }
  25% {
    -webkit-transform: translateX(-6px);
    transform: translateX(-6px);

    opacity: 1;
  }
  50% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(6px);
    transform: translateX(6px);

    opacity: 1;
  }
}

/*Page Topと書かれたテキストの位置*/
#page-top span {
  font-weight: bold;
  line-height: 1.3;

  position: absolute;
  right: 20px;
  bottom: -11px;

  color: #333;
}

#page-top.floatAnime span {
  bottom: -30px;
}

/*==================================================
 横移動させて全画面で見せる
===================================*/
.slider {
  position: relative;
  z-index: 1;
  /*↑z-indexの値をh1のz-indexの値よりも小さくして背景に回す*/

  height: 80vh; /*スライダー全体の縦幅を(80vh）にする*/
}
/*　背景画像設定　*/

.slider-item01 {
  background: url("../img/main_02.png");
}

.slider-item02 {
  background: url("../img/main_01.webp");
}

.slider-item03 {
  background: url("../img/main_03.png");
}

.slider-item {
  width: 100%; /*各スライダー全体の横幅を画面の高さいっぱい（100%）にする*/
  height: 80vh; /*各スライダー全体の縦幅を（80vh）にする*/

  background-repeat: no-repeat; /*背景画像をリピートしない*/
  background-position: center; /*背景画像の位置を中央に*/
  background-size: cover; /*背景画像が.slider-item全体を覆い表示*/
}

/*矢印の設定*/

/*戻る、次へ矢印の位置*/
.slick-prev,
.slick-next {
  position: absolute; /*絶対配置にする*/
  z-index: 3;
  top: 42%;

  width: 25px;
  height: 25px;

  cursor: pointer; /*マウスカーソルを指マークに*/

  border-top: 2px solid #fff; /*矢印の色*/
  border-right: 2px solid #fff; /*矢印の色*/
  outline: none; /*クリックをしたら出てくる枠線を消す*/
}

.slick-prev {
  /*戻る矢印の位置と形状*/
  left: 2.5%;

  -webkit-transform: rotate(-135deg);
  -ms-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

.slick-next {
  /*次へ矢印の位置と形状*/
  right: 2.5%;

  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/*ドットナビゲーションの設定*/

.slick-dots {
  position: relative;
  z-index: 3;

  margin: -50px 0 0 0;

  text-align: center;
}

.slick-dots li {
  display: inline-block;

  margin: 0 5px;
}

.slick-dots button {
  display: block;

  width: 8px; /*ドットボタンのサイズ*/
  height: 8px; /*ドットボタンのサイズ*/

  color: transparent;
  border-radius: 50%;
  outline: none;
  background: #fff; /*ドットボタンの色*/
}

.slick-dots .slick-active button {
  background: #ffec04; /*ドットボタンの現在地表示の色*/
}

/*==================================================
 複数画像を流して見せる
===================================*/

/*slickのJSで書かれるタグ内、スライド左右の余白調整*/

.slider2 img {
  width: 100%; /*スライダー内の画像を横幅100%に*/
  height: auto;
}

.slider2 .slick-slide {
  margin: 0 10px; /*スライド左右の余白調整*/
}

/*==================================================
 最低限おぼえておきたい動き
===================================*/

/* くるっ（Z 軸（右へ）） */
.rotateRightZ {
  -webkit-animation-name: rotateRightZAnime;
  animation-name: rotateRightZAnime;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes rotateRightZAnime {
  from {
    -webkit-transform: rotateZ(0);
    transform: rotateZ(0);
  }
  to {
    -webkit-transform: rotateZ(360deg);
    transform: rotateZ(360deg);
  }
}

@keyframes rotateRightZAnime {
  from {
    -webkit-transform: rotateZ(0);
    transform: rotateZ(0);
  }
  to {
    -webkit-transform: rotateZ(360deg);
    transform: rotateZ(360deg);
  }
}

/* ふわっ（その場で） */
.fadeIn {
  -webkit-animation-name: fadeInAnime;
  animation-name: fadeInAnime;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeInAnime {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeInAnime {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* ふわっ（下から） */

.fadeUp {
  -webkit-animation-name: fadeUpAnime;
  animation-name: fadeUpAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeUpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

@keyframes fadeUpAnime {
  from {
    -webkit-transform: translateY(100px);
    transform: translateY(100px);

    opacity: 0;
  }

  to {
    -webkit-transform: translateY(0);
    transform: translateY(0);

    opacity: 1;
  }
}

/* パタッ（左上へ） */
.flipLeftTop {
  -webkit-animation-name: flipLeftTopAnime;
  animation-name: flipLeftTopAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes flipLeftTopAnime {
  from {
    -webkit-transform: translate(-20px, 80px) rotate(-15deg);
    transform: translate(-20px, 80px) rotate(-15deg);

    opacity: 0;
  }

  to {
    -webkit-transform: translate(0, 0) rotate(0deg);
    transform: translate(0, 0) rotate(0deg);

    opacity: 1;
  }
}

@keyframes flipLeftTopAnime {
  from {
    -webkit-transform: translate(-20px, 80px) rotate(-15deg);
    transform: translate(-20px, 80px) rotate(-15deg);

    opacity: 0;
  }

  to {
    -webkit-transform: translate(0, 0) rotate(0deg);
    transform: translate(0, 0) rotate(0deg);

    opacity: 1;
  }
}

/* パタッ（右上へ） */
.flipRightTop {
  -webkit-animation-name: flipRightTopAnime;
  animation-name: flipRightTopAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  opacity: 0;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes flipRightTopAnime {
  from {
    -webkit-transform: translate(-20px, 80px) rotate(25deg);
    transform: translate(-20px, 80px) rotate(25deg);

    opacity: 0;
  }

  to {
    -webkit-transform: translate(0, 1) rotate(0deg);
    transform: translate(0, 1) rotate(0deg);

    opacity: 1;
  }
}

@keyframes flipRightTopAnime {
  from {
    -webkit-transform: translate(-20px, 80px) rotate(25deg);
    transform: translate(-20px, 80px) rotate(25deg);

    opacity: 0;
  }

  to {
    -webkit-transform: translate(0, 1) rotate(0deg);
    transform: translate(0, 1) rotate(0deg);

    opacity: 1;
  }
}

/* ボンッ（拡大） */
.zoomIn {
  -webkit-animation-name: zoomInAnime;
  animation-name: zoomInAnime;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;

  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes zoomInAnime {
  from {
    -webkit-transform: scale(0.6);
    transform: scale(0.6);

    opacity: 0;
  }

  to {
    -webkit-transform: scale(1);
    transform: scale(1);

    opacity: 1;
  }
}

@keyframes zoomInAnime {
  from {
    -webkit-transform: scale(0.6);
    transform: scale(0.6);

    opacity: 0;
  }

  to {
    -webkit-transform: scale(1);
    transform: scale(1);

    opacity: 1;
  }
}
/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.fadeUpTrigger,
.zoomInTrigger,
.flipLeftTopTrigger,
.flipRightTopTrigger {
  opacity: 0;
}
